Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.identifier
Class PortletInstanceId

    java.lang.Object
      com.bea.netuix.application.identifier.Id
          com.bea.netuix.application.identifier.PortletInstanceId

All Implemented Interfaces:
  InstanceId, PlaceableInstanceId, Serializable

public class PortletInstanceId
extends Id
implements PlaceableInstanceId

Represents the primary keys of `Portlet` instance objects in the database, and is used to uniquely identify them. `PortletInstanceId` will be needed when customizing specific instances of portlets on a desktop.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.application.identifier.Id
`id`

Constructor Summary
`PortletInstanceId(int id)`

Method Summary
`protected Object` | `clone()`
`static PortletInstanceId` | `clone(PortletInstanceId portletInstanceId)`
`static PortletInstanceId` | `createPortletInstanceId(int id)`
`boolean` | `equals(Object o)`

Methods inherited from class com.bea.netuix.application.identifier.Id
`getId, hashCode, setId, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.netuix.application.identifier.PlaceableInstanceId
`getId`

Constructor Detail

### PortletInstanceId

    public PortletInstanceId(int id)

Parameters:
  `id` - the integer value that this `PortletInstanceId` should be set to.

Method Detail

### createPortletInstanceId

    public static PortletInstanceId createPortletInstanceId(int id)

  Parameters:
    `id` - the integer value that this `PortletInstanceId` should be set to.
  Returns:
    a new `PortletInstanceId` with the id value set to the integer passed in.

### clone

    public static PortletInstanceId clone(PortletInstanceId portletInstanceId)

  Parameters:
    `portletInstanceId` - the `PortletInstanceId` to be cloned.
  Returns:
    a new `PortletInstanceId` with the exact same id value as the `PortletInstanceId` passed in.

### clone

    protected Object clone()

  Returns:
    a new `PortletInstanceId` with the exact same id value as this `PortletInstanceId`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Id`
  Parameters:
    `o` - a `PortletInstanceId` object to compare to this `PortletInstanceId`.
  Returns:
    `true` if this `PortletInstanceId` is the same as the `PortletInstanceId` object passed in; `false` otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved